package com.jeeplus.modules.sg.managementcenter.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;

/**
 * 施工交底实体类
 * */
public class Disclose extends ActEntity<Disclose> {
    //是否已实施
    private String hasImplemented;
    //现场情况描述
    private String sceneDescription;
    //是否有实施必要性
    private String isImplement;
    //实施无必要描述
    private String noImplementation;
    //图纸是否完整
    private String whetherComplete;
    //图纸完整性描述
    private String drawingDescription;
    //图纸是否规范
    private String whetherStandard;
    //图纸规范性描述
    private String normativeDrawings;
    //是否存在典设图问题
    private String whetherDrawing;
    //典设图问题描述
    private String problemDescription;
    //是否存在施工通道
    private String whetherChannel;
    //施工通道情况描述
    private String constructionDescription;
    //土建是否需要调整
    private String civilAdjusted;
    //土建方案变更内容描述
    private String descriptionPlans;
    //土建工作量调整内容描述
    private String descriptionAdjustment;
    //电气方案是否需要调整
    private String electricalAdjusted;
    //调整原因描述
    private String adjustmentDescription;
    //自动化是否需要变更
    private String doesChange;
    //自动化方案调整内容
    private String automatedContent;
    //自动化工作内容调整
    private String automatedAdjustment;
    //其他方案是否需要调整
    private String otherAdjusted;
    //其他方案调整原因描述
    private String descriptionReasons;
    //是否存在难以解决的政处
    private String difficultResolve;
    //是否需要进行设计变更
    private String designChanges;
    //是否需要进行项目关闭
    private String needsClosed;
    //政处问题描述
    private String affairsDescription;
    //是否需要规划报批（150米及以上土建）
    private String planningRequired;
    //是否涉及高铁、高速
    private String highSpeed;
    //是否存在复杂民事政处
    private String affairsOffice;
    //图纸方案是否存在前置条件
    private String preconditions;
    //前置条件描述
    private String preconditionDescription;
    //是否需要定制物资
    private String customizedMaterials;
    //是否能定制
    private String customizedCan;
    //定制原因描述
    private String reasonDescription;
    //定制物资描述
    private String materialDescription;
    //拆旧物资是否与设计一致
    private String demolitionMaterials;
    //型号不一致描述
    private String modelDescription;
    //数量不一致描述
    private String quantityDescription;
    //图纸标注是否存在问题
    private String drawingAnnotation;
    //图纸标注问题描述
    private String drawingProblem;
    //是否存在停电问题
    private String powerOutage;
    //停电问题问题描述
    private String powerProblem;
    //是否邻近带电线路
    private String nearLiveLine;
    //是否下穿高压线路
    private String highVoltageLine;
    //是否存在复杂管线
    private String complexPipeline;
    //是否涉及复杂停电
    private String complicatedPower;


    public String getHasImplemented() {
        return hasImplemented;
    }

    public void setHasImplemented(String hasImplemented) {
        this.hasImplemented = hasImplemented;
    }

    public String getSceneDescription() {
        return sceneDescription;
    }

    public void setSceneDescription(String sceneDescription) {
        this.sceneDescription = sceneDescription;
    }

    public String getIsImplement() {
        return isImplement;
    }

    public void setIsImplement(String isImplement) {
        this.isImplement = isImplement;
    }

    public String getNoImplementation() {
        return noImplementation;
    }

    public void setNoImplementation(String noImplementation) {
        this.noImplementation = noImplementation;
    }

    public String getWhetherComplete() {
        return whetherComplete;
    }

    public void setWhetherComplete(String whetherComplete) {
        this.whetherComplete = whetherComplete;
    }

    public String getDrawingDescription() {
        return drawingDescription;
    }

    public void setDrawingDescription(String drawingDescription) {
        this.drawingDescription = drawingDescription;
    }

    public String getWhetherStandard() {
        return whetherStandard;
    }

    public void setWhetherStandard(String whetherStandard) {
        this.whetherStandard = whetherStandard;
    }

    public String getNormativeDrawings() {
        return normativeDrawings;
    }

    public void setNormativeDrawings(String normativeDrawings) {
        this.normativeDrawings = normativeDrawings;
    }

    public String getWhetherDrawing() {
        return whetherDrawing;
    }

    public void setWhetherDrawing(String whetherDrawing) {
        this.whetherDrawing = whetherDrawing;
    }

    public String getProblemDescription() {
        return problemDescription;
    }

    public void setProblemDescription(String problemDescription) {
        this.problemDescription = problemDescription;
    }

    public String getWhetherChannel() {
        return whetherChannel;
    }

    public void setWhetherChannel(String whetherChannel) {
        this.whetherChannel = whetherChannel;
    }

    public String getConstructionDescription() {
        return constructionDescription;
    }

    public void setConstructionDescription(String constructionDescription) {
        this.constructionDescription = constructionDescription;
    }

    public String getCivilAdjusted() {
        return civilAdjusted;
    }

    public void setCivilAdjusted(String civilAdjusted) {
        this.civilAdjusted = civilAdjusted;
    }

    public String getDescriptionPlans() {
        return descriptionPlans;
    }

    public void setDescriptionPlans(String descriptionPlans) {
        this.descriptionPlans = descriptionPlans;
    }

    public String getDescriptionAdjustment() {
        return descriptionAdjustment;
    }

    public void setDescriptionAdjustment(String descriptionAdjustment) {
        this.descriptionAdjustment = descriptionAdjustment;
    }

    public String getElectricalAdjusted() {
        return electricalAdjusted;
    }

    public void setElectricalAdjusted(String electricalAdjusted) {
        this.electricalAdjusted = electricalAdjusted;
    }

    public String getAdjustmentDescription() {
        return adjustmentDescription;
    }

    public void setAdjustmentDescription(String adjustmentDescription) {
        this.adjustmentDescription = adjustmentDescription;
    }

    public String getDoesChange() {
        return doesChange;
    }

    public void setDoesChange(String doesChange) {
        this.doesChange = doesChange;
    }

    public String getAutomatedContent() {
        return automatedContent;
    }

    public void setAutomatedContent(String automatedContent) {
        this.automatedContent = automatedContent;
    }

    public String getAutomatedAdjustment() {
        return automatedAdjustment;
    }

    public void setAutomatedAdjustment(String automatedAdjustment) {
        this.automatedAdjustment = automatedAdjustment;
    }

    public String getOtherAdjusted() {
        return otherAdjusted;
    }

    public void setOtherAdjusted(String otherAdjusted) {
        this.otherAdjusted = otherAdjusted;
    }

    public String getDescriptionReasons() {
        return descriptionReasons;
    }

    public void setDescriptionReasons(String descriptionReasons) {
        this.descriptionReasons = descriptionReasons;
    }

    public String getDifficultResolve() {
        return difficultResolve;
    }

    public void setDifficultResolve(String difficultResolve) {
        this.difficultResolve = difficultResolve;
    }

    public String getDesignChanges() {
        return designChanges;
    }

    public void setDesignChanges(String designChanges) {
        this.designChanges = designChanges;
    }

    public String getNeedsClosed() {
        return needsClosed;
    }

    public void setNeedsClosed(String needsClosed) {
        this.needsClosed = needsClosed;
    }

    public String getAffairsDescription() {
        return affairsDescription;
    }

    public void setAffairsDescription(String affairsDescription) {
        this.affairsDescription = affairsDescription;
    }

    public String getPlanningRequired() {
        return planningRequired;
    }

    public void setPlanningRequired(String planningRequired) {
        this.planningRequired = planningRequired;
    }

    public String getHighSpeed() {
        return highSpeed;
    }

    public void setHighSpeed(String highSpeed) {
        this.highSpeed = highSpeed;
    }

    public String getAffairsOffice() {
        return affairsOffice;
    }

    public void setAffairsOffice(String affairsOffice) {
        this.affairsOffice = affairsOffice;
    }

    public String getPreconditions() {
        return preconditions;
    }

    public void setPreconditions(String preconditions) {
        this.preconditions = preconditions;
    }

    public String getPreconditionDescription() {
        return preconditionDescription;
    }

    public void setPreconditionDescription(String preconditionDescription) {
        this.preconditionDescription = preconditionDescription;
    }

    public String getCustomizedMaterials() {
        return customizedMaterials;
    }

    public void setCustomizedMaterials(String customizedMaterials) {
        this.customizedMaterials = customizedMaterials;
    }

    public String getCustomizedCan() {
        return customizedCan;
    }

    public void setCustomizedCan(String customizedCan) {
        this.customizedCan = customizedCan;
    }

    public String getReasonDescription() {
        return reasonDescription;
    }

    public void setReasonDescription(String reasonDescription) {
        this.reasonDescription = reasonDescription;
    }

    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    public String getDemolitionMaterials() {
        return demolitionMaterials;
    }

    public void setDemolitionMaterials(String demolitionMaterials) {
        this.demolitionMaterials = demolitionMaterials;
    }

    public String getModelDescription() {
        return modelDescription;
    }

    public void setModelDescription(String modelDescription) {
        this.modelDescription = modelDescription;
    }

    public String getQuantityDescription() {
        return quantityDescription;
    }

    public void setQuantityDescription(String quantityDescription) {
        this.quantityDescription = quantityDescription;
    }

    public String getDrawingAnnotation() {
        return drawingAnnotation;
    }

    public void setDrawingAnnotation(String drawingAnnotation) {
        this.drawingAnnotation = drawingAnnotation;
    }

    public String getDrawingProblem() {
        return drawingProblem;
    }

    public void setDrawingProblem(String drawingProblem) {
        this.drawingProblem = drawingProblem;
    }

    public String getPowerOutage() {
        return powerOutage;
    }

    public void setPowerOutage(String powerOutage) {
        this.powerOutage = powerOutage;
    }

    public String getPowerProblem() {
        return powerProblem;
    }

    public void setPowerProblem(String powerProblem) {
        this.powerProblem = powerProblem;
    }

    public String getNearLiveLine() {
        return nearLiveLine;
    }

    public void setNearLiveLine(String nearLiveLine) {
        this.nearLiveLine = nearLiveLine;
    }

    public String getHighVoltageLine() {
        return highVoltageLine;
    }

    public void setHighVoltageLine(String highVoltageLine) {
        this.highVoltageLine = highVoltageLine;
    }

    public String getComplexPipeline() {
        return complexPipeline;
    }

    public void setComplexPipeline(String complexPipeline) {
        this.complexPipeline = complexPipeline;
    }

    public String getComplicatedPower() {
        return complicatedPower;
    }

    public void setComplicatedPower(String complicatedPower) {
        this.complicatedPower = complicatedPower;
    }
}
